// 检查管理
import request from '@/utils/request'

// 检查->患者列表
export function getPatientList(data) {
    return request({
        url: '/Patient/getPatientList',
        method: 'post',
        data
    })
}

// 检查->患者可加入项目列表
export function getPatientJoinTrialInitList(data) {
    return request({
        url: '/Patient/getPatientJoinTrialInitList',
        method: 'post',
        data
    })
}

// 检查->患者已加入项目列表
export function getPatientJoinedTrialList(data) {
    return request({
        url: '/Patient/getPatientJoinedTrialList',
        method: 'post',
        data
    })
}

// 获取患者列表（下拉框）
export function getTrialSubejctSelectList(data) {
    return request({
        url: '/Patient/getTrialSubejctSelectList',
        method: 'post',
        data
    })
}

// 患者与受试者建立绑定关系
export function addSubjectPatientBinding(data) {
    return request({
        url: '/Patient/addSubjectPatientBinding',
        method: 'post',
        data
    })
}

// 患者与受试者移除绑定关系
export function deleteSubjectPatientBinding(params) {
    return request({
        url: '/Patient/deleteSubjectPatientBinding',
        method: 'delete',
        params
    })
}

// 获取患者检查列表
export function getPatientStudyList(data) {
    return request({
        url: '/Patient/getPatientStudyList',
        method: 'post',
        data
    })
}